Bug 590254 - unable to control screen brightness (and 100% is hard to use)
unable to control screen brightness (and 100% is hard to use)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
[cat:rendering]
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-08 07:36 EDT by vadi01
Modified: 2011-06-27 12:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:10:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lscpi -vvnn (16.28 KB, text/plain)
2010-05-08 07:36 EDT, vadi01
no flags Details
xorg.o.conf (43.36 KB, text/plain)
2010-05-08 07:37 EDT, vadi01
no flags Details

  None (edit)
Description vadi01 2010-05-08 07:36:42 EDT
Created attachment 412515 [details]
Output of lscpi -vvnn

Description of problem:
Brightness control levels cannot be adjusted. Only 2 variants exist when i try to increase or decrease brightness: Completely dark (decrease) and completely bright(increase). The brightness level it too high for the eye to handle. 

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.16-3.20100305git6b8b157.fc13.i686

How reproducible:
When pressing the fn+increase(home)/decrease(end) brightness keys

Steps to Reproduce:
1.same as above
2.
3.
  
Actual results:
Brigtness does not adjust expected levels

Expected results:
See description

Additional info:
attached logs of lscpi and xorg
Comment 1 vadi01 2010-05-08 07:37:27 EDT
Created attachment 412516 [details]
xorg.o.conf
Comment 2 vadi01 2010-05-08 11:02:52 EDT
I downloaded and installed the rc2 spin and same issue exists. As i think think its too late too fix this before the f13 official released i suppose the fix might be in updates.
Comment 3 James 2010-06-13 04:33:59 EDT
I keep tracking update every day but till now at least, it is still unsolved. luckly i did not abandon win7 on my laptop and now i can use dual boot back to win7. hope it can be solve soon.
Comment 4 Daniel Tofahrn 2011-05-01 14:31:05 EDT
I have a Lenovo IdeaPad Z360 with Fedora 14. I've installed F15 beta and the problem with brightness always stays up. I decided to give Win7 but have to return to MS since it is impossible to work with brightness always 100%.

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 18)
01:00.0 VGA compatible controller: nVidia Corporation GT218 [GeForce 310M] (rev a2)

Output of $ lspci -vvnn:

00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 18) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device [17aa:3920]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 45
	Region 0: Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 1800 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915
	Kernel modules: i915


01:00.0 VGA compatible controller [0300]: nVidia Corporation GT218 [GeForce 310M] [10de:0a70] (rev a2) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device [17aa:3968]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at ac000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at b0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at ae000000 (64-bit, prefetchable) [size=32M]
	Region 5: I/O ports at 2000 [size=128]
	Expansion ROM at ad000000 [disabled] [size=512K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb
Comment 5 Bug Zapper 2011-06-02 10:21:02 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 12:10:55 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.